$(function() {
	$('.js-filtro-switch').on('click', function() {
		$(this).toggleClass('--checked')

		if ($(this).hasClass('--checked')) {
			$(this)
				.find('input:hidden')
				.val('true')
		} else {
			$(this)
				.find('input:hidden')
				.val('false')
		}
	})

	$('.list__toggle').on('click', function() {
		if (
			$(this)
				.find('.list__item')
				.hasClass('--open')
		) {
			$(this)
				.find('.list__item')
				.removeClass('--open')
			$(this)
				.find('.list__description')
				.removeClass('--open')
		} else {
			close()
			$(this)
				.find('.list__item')
				.addClass('--open')
			$(this)
				.find('.list__description')
				.addClass('--open')
		}
	})

	function close() {
		$('.list').map(function() {
			$(this)
				.find('.list__item')
				.removeClass('--open')
			$(this)
				.find('.list__description')
				.removeClass('--open')
		})
	}
})
